@import "palette.scss";
:host {
  
}
#expander {
	&:not(.expanded) {
		max-height: 0px;
		-webkit-transition: max-height 0.35s ease-in;
		   -moz-transition: max-height 0.35s ease-in;
			-ms-transition: max-height 0.35s ease-in;
			 -o-transition: max-height 0.35s ease-in;
				transition: max-height 0.35s ease-in;
	}

	&.expanded {
		max-height: 8em;
		-webkit-transition: max-height 0.35s ease-in;
		   -moz-transition: max-height 0.35s ease-in;
			-ms-transition: max-height 0.35s ease-in;
			 -o-transition: max-height 0.35s ease-in;
				transition: max-height 0.35s ease-in;
   }
   &.overflowed {
	   overflow: visible;
   }
   overflow: hidden;
   background-color: map_get($primary-palette, 800);
   display: flex;
   flex-direction: row;
   justify-content: space-evenly;
}

.tool-element {
	margin: 8px 16px;
	line-height: 1em;
}

a{
	text-align: center;
	color: white;
	text-decoration: none;

}
mat-toolbar-row {
	justify-content: space-between;
}

select {
	width: 12ch;
	height: 2em;
	font-size: 0.8em;
	-moz-padding-start: calc(10px - 3px);
	padding-left: 10px;
	background: url(../assets/fff1x1.png) repeat;
	color: #fff;
	//box-shadow: 2px 2px 2px 2px rgba(255,255,255,0.3);
	border-radius: 3px;
	border: none;
	outline: solid 1px map_get($primary-palette, 800) !important;
	cursor: pointer;
	option {
	  color: #111;
	}
}

